@tool
extends Node
class_name AbstractReservationRepo

signal connected
signal not_connected

var _selected_reservation_id = null
var _current_reservation = null

func create_reservation(dto: CreateReservationDTO):
	pass

func cancel_reservation(reservation_id):
	pass

func change_reservation(reservation_id, dto: UpdateReservationDTO):
	pass

func get_reservation(reservation_id):
	pass

func list_reservations(filters: Dictionary = {}) -> Array:
	return []

func set_selected_reservation_id(value):
	_selected_reservation_id = value

func get_selected_reservation_id():
	return _selected_reservation_id

func get_current_reservation():
	return _current_reservation
